This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 429364 - Seagate ata harddrive not readable, zero hardware sectors
Seagate ata harddrive not readable, zero hardware sectors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 16:52 EST by Prashant Saxena
Modified: 2008-02-11 17:39 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.15-137.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 17:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prashant Saxena 2008-01-18 16:52:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
I am having my secondary hardisk (Seagate ST380020ACE 80 GB) unreadable by fedora 8. It reads it as 0 MB drive. Here's the output from dmesg.

*******************************
scsi 0:0:0:0: Direct-Access ATA WDC WD1600BB-00G 08.0 PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sda: sda1 < sda5 > sda2 sda3 sda4
sd 0:0:0:0: [sda] Attached SCSI disk
scsi 1:0:0:0: Direct-Access ATA ST380020ACE 4.91 PQ: 0 ANSI: 5
sd 1:0:0:0: [sdb] Very big device. Trying to use READ CAPACITY(16).
sd 1:0:0:0: [sdb] 0 512-byte hardware sectors (0 MB)
sd 1:0:0:0: [sdb] Write Protect is off
sd 1:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 1:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 1:0:0:0: [sdb] Attached SCSI disk
scsi 1:0:1:0: CD-ROM SONY DVD RW DRU-810A 1.0a PQ: 0 ANSI: 5
*****************************


Here's the output of lspci
*****************************
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 651 Host (rev 02)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL Media IO] (rev 25)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97 Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 91)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 65x/M650/740 PCI/AGP VGA Display Adapter
*****************************


'Fdisk -l' shows the information about the primary hardisk only ( WDC WD1600BB) . So its of no use. I tried fdisk on /dev/sdb, but still no info.


Today, I tried via knoppix and it mounted both the drives and all the partitions in them automatically. Here's the output of dmesg from knoppix 5.1.1.

************************
Probing IDE interface ide0...
hda: WDC WD1600BB-00GUC0, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: ST380020ACE, ATA DISK drive
hdd: SONY DVD RW DRU-810A, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 512KiB
hda: 312581808 sectors (160041 MB) w/2048KiB Cache, CHS=19457/255/63
hda: cache flushes supported
hda: hda1 < hda5 > hda2 hda3 hda4
hdc: max request size: 128KiB
hdc: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=65535/16/63
hdc: cache flushes not supported
hdc: hdc1 hdc2 hdc3 hdc4
hdd: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache
Uniform CD-ROM driver Revision: 3.20
Loading iSCSI transport class v2.0-724.<6>PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
**********************************


As u can see fedora 8 reads the IDE drives as sd*, while knoppix reads its correctly according to the convention as hd*. What can be the problem? I want fedora 8 to be reading my secondary hardisk.


Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85.fc8

How reproducible:
Always


Steps to Reproduce:
1. system doesn't reads the hardisk, but detects it
2.
3.

Actual Results:


Expected Results:


Additional info:
Complete dmesg
*************************************
                                                                     
                                                                     
                                                                     
                                             
Linux version 2.6.23.9-85.fc8 (kojibuilder@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Fri Dec 7 15:49:59 EST 2007
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001bffc000 (usable)
 BIOS-e820: 000000001bffc000 - 000000001bfff000 (ACPI data)
 BIOS-e820: 000000001bfff000 - 000000001c000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
447MB LOWMEM available.
Using x86 segment limits to approximate NX protection
Entering add_active_range(0, 0, 114684) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   114684
  HighMem    114684 ->   114684
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0:        0 ->   114684
On node 0 totalpages: 114684
  DMA zone: 32 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4064 pages, LIFO batch:0
  Normal zone: 863 pages used for memmap
  Normal zone: 109725 pages, LIFO batch:31
  HighMem zone: 0 pages used for memmap
  Movable zone: 0 pages used for memmap
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP 000F5710, 0014 (r0 ASUS  )
ACPI: RSDT 1BFFC000, 0030 (r1 ASUS   P4S533MX 42302E31 MSFT 31313031)
ACPI: FACP 1BFFC0C0, 0074 (r1 ASUS   P4S533MX 42302E31 MSFT 31313031)
ACPI: DSDT 1BFFC134, 2743 (r1   ASUS P4S533MX     1000 MSFT  100000B)
ACPI: FACS 1BFFF000, 0040
ACPI: BOOT 1BFFC030, 0028 (r1 ASUS   P4S533MX 42302E31 MSFT 31313031)
ACPI: APIC 1BFFC058, 005A (r1 ASUS   P4S533MX 42302E31 MSFT 31313031)
ACPI: PM-Timer IO Port: 0xe408
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 15:2 APIC version 20
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 128, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 20 low level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 20000000 (gap: 1c000000:e2c00000)
swsusp: Registered nosave memory region: 000000000009f000 - 00000000000a0000
swsusp: Registered nosave memory region: 00000000000a0000 - 00000000000f0000
swsusp: Registered nosave memory region: 00000000000f0000 - 0000000000100000
Built 1 zonelists in Zone order.  Total pages: 113789
Kernel command line: ro root=LABEL=/ rhgb quiet
mapped APIC to ffffb000 (fee00000)
mapped IOAPIC to ffffa000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c07a8000 soft=c0788000
PID hash table entries: 2048 (order: 11, 8192 bytes)
Detected 2394.002 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 446704k/458736k available (2184k kernel code, 11388k reserved, 1116k data, 280k init, 0k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc53000 - 0xfffff000   (3760 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xdc800000 - 0xff7fe000   ( 559 MB)
    lowmem  : 0xc0000000 - 0xdbffc000   ( 447 MB)
      .init : 0xc073f000 - 0xc0785000   ( 280 kB)
      .data : 0xc06222f5 - 0xc0739544   (1116 kB)
      .text : 0xc0400000 - 0xc06222f5   (2184 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
SLUB: Genslabs=22, HWalign=64, Order=0-1, MinObjects=4, CPUs=1, Nodes=1
Calibrating delay using timer specific routine.. 4790.44 BogoMIPS (lpj=2395223)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000 00000400 00000000 00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Hyper-Threading is disabled
CPU: After all inits, caps: bfebf3ff 00000000 00000000 0000b080 00000400 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU0: Thermal monitoring enabled
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 14k freed
ACPI: Core revision 20070126
CPU0: Intel(R) Pentium(R) 4 CPU 2.40GHz stepping 07
Total of 1 processors activated (4790.44 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
Brought up 1 CPUs
sizeof(vma)=84 bytes
sizeof(page)=32 bytes
sizeof(inode)=336 bytes
sizeof(dentry)=132 bytes
sizeof(ext3inode)=488 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=180 bytes
sizeof(task_struct)=1552 bytes
Booting paravirtualized kernel on bare hardware
Time: 21:32:55  Date: 01/15/08
NET: Registered protocol family 16
No dock devices found.
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xf1050, last bus=1
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
Enabling SiS 96x SMBus.
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 10 11 12 14 15) *9
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 16 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
Time: tsc clocksource has been installed.
pnp: 00:00: iomem range 0x0-0x9ffff could not be reserved
pnp: 00:00: iomem range 0xf0000-0xfffff could not be reserved
pnp: 00:00: iomem range 0x100000-0x1bffffff could not be reserved
pnp: 00:00: iomem range 0xfec00000-0xfec000ff could not be reserved
pnp: 00:02: ioport range 0xe400-0xe47f has been reserved
pnp: 00:02: ioport range 0xe480-0xe4ff has been reserved
pnp: 00:02: ioport range 0xe600-0xe61f has been reserved
pnp: 00:02: ioport range 0x480-0x48f has been reserved
pnp: 00:02: iomem range 0xffee0000-0xffefffff has been reserved
pnp: 00:03: iomem range 0xfffe0000-0xffffffff could not be reserved
pnp: 00:0f: ioport range 0x3f0-0x3f1 has been reserved
pnp: 00:0f: ioport range 0x290-0x297 has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: d000-dfff
  MEM window: df800000-dfffffff
  PREFETCH window: f0000000-febfffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 5, 196608 bytes)
TCP bind hash table entries: 16384 (order: 5, 131072 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 2922k freed
Simple Boot Flag at 0x3a set to 0x1
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1200432774.495:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key 4BB254D1F8000763
- User ID: Red Hat, Inc. (Kernel Module GPG key)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Boot video device is 0000:01:00.0
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Invalid PBLK length [5]
ACPI Exception (processor_core-0819): AE_NOT_FOUND, Processor Device is not present [20070126]
isapnp: Scanning for PnP cards...
Switched to high resolution mode on CPU 0
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.102
agpgart: Detected SiS chipset - id:1617
agpgart: AGP aperture is 128M @ 0xe0000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:0b: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input1
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
  Magic number: 8:800:550
  hash matches device PNP0C0F:01
Freeing unused kernel memory: 280k freed
Write protecting the kernel read-only data: 844k
input: ImExPS/2 Generic Explorer Mouse as /class/input/input2
PCI: Enabling device 0000:00:03.3 (0004 -> 0006)
ACPI: PCI Interrupt 0000:00:03.3[D] -> GSI 23 (level, low) -> IRQ 16
ehci_hcd 0000:00:03.3: EHCI Host Controller
ehci_hcd 0000:00:03.3: new USB bus registered, assigned bus number 1
PCI: cache line size of 128 is not supported by device 0000:00:03.3
ehci_hcd 0000:00:03.3: irq 16, io mem 0xde000000
ehci_hcd 0000:00:03.3: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ACPI: PCI Interrupt 0000:00:03.0[A] -> GSI 20 (level, low) -> IRQ 20
ohci_hcd 0000:00:03.0: OHCI Host Controller
ohci_hcd 0000:00:03.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:03.0: irq 20, io mem 0xdf000000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ACPI: PCI Interrupt 0000:00:03.1[B] -> GSI 21 (level, low) -> IRQ 17
ohci_hcd 0000:00:03.1: OHCI Host Controller
ohci_hcd 0000:00:03.1: new USB bus registered, assigned bus number 3
ohci_hcd 0000:00:03.1: irq 17, io mem 0xde800000
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 3 ports detected
USB Universal Host Controller Interface driver v3.0
SCSI subsystem initialized
libata version 2.21 loaded.
pata_sis 0000:00:02.5: version 0.5.2
ACPI: PCI Interrupt 0000:00:02.5[A] -> GSI 16 (level, low) -> IRQ 18
scsi0 : pata_sis
scsi1 : pata_sis
ata1: PATA max UDMA/133 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x0001a400 irq 14
ata2: PATA max UDMA/133 cmd 0x00010170 ctl 0x00010376 bmdma 0x0001a408 irq 15
ata1.00: ATA-6: WDC WD1600BB-00GUC0, 08.02D08, max UDMA/100
ata1.00: 312581808 sectors, multi 16: LBA48 
ata1.00: limited to UDMA/33 due to 40-wire cable
ata1.00: configured for UDMA/33
ata2.00: ATA-6: ST 8 0 0ACE,  . 1, max UDMA/100
ata2.00: 0 sectors, multi 0: LBA48 
ata2.01: ATAPI: SONY    DVD RW DRU-810A, 1.0a, max UDMA/33
ata2.00: limited to UDMA/33 due to 40-wire cable
ata2.00: configured for UDMA/33
ata2.01: configured for UDMA/33
scsi 0:0:0:0: Direct-Access     ATA      WDC WD1600BB-00G 08.0 PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors (160042 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 < sda5 > sda2 sda3 sda4
sd 0:0:0:0: [sda] Attached SCSI disk
scsi 1:0:0:0: Direct-Access     ATA      ST 8 0 0ACE       . 1 PQ: 0 ANSI: 5
sd 1:0:0:0: [sdb] Very big device. Trying to use READ CAPACITY(16).
sd 1:0:0:0: [sdb] 0 512-byte hardware sectors (0 MB)
sd 1:0:0:0: [sdb] Write Protect is off
sd 1:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 1:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 1:0:0:0: [sdb] Attached SCSI disk
scsi 1:0:1:0: CD-ROM            SONY     DVD RW DRU-810A  1.0a PQ: 0 ANSI: 5
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
security:  8 users, 11 roles, 2359 types, 114 bools, 1 sens, 1024 cats
security:  67 classes, 212748 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev sda2, type ext3), uses xattr
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1200432780.666:2): policy loaded auid=4294967295
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 1:0:0:0: Attached scsi generic sg1 type 0
sr 1:0:1:0: Attached scsi generic sg2 type 5
sr0: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:1:0: Attached scsi CD-ROM sr0
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
input: PC Speaker as /class/input/input3
sis96x_smbus 0000:00:02.1: SiS96x SMBus base address: 0xe600
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input5
ACPI: Power Button (CM) [PWRB]
sis900.c: v1.08.10 Apr. 2 2006
PCI: Enabling device 0000:00:04.0 (0004 -> 0007)
ACPI: PCI Interrupt 0000:00:04.0[A] -> GSI 19 (level, low) -> IRQ 19
0000:00:04.0: Realtek RTL8201 PHY transceiver found at address 1.
0000:00:04.0: Using transceiver found at address 1 as default
parport_pc 00:0a: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
eth0: SiS 900 PCI Fast Ethernet at 0x8800, IRQ 19, 00:0c:6e:11:9b:30.
gameport: NS558 PnP Gameport is pnp00:0e/gameport0, io 0x200, speed 764kHz
usbcore: registered new interface driver snd-usb-audio
PCI: Enabling device 0000:00:02.7 (0004 -> 0005)
ACPI: PCI Interrupt 0000:00:02.7[C] -> GSI 18 (level, low) -> IRQ 21
AC'97 0 analog subsections not ready
intel8x0_measure_ac97_clock: measured 50347 usecs
intel8x0: clocking to 48000
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 18
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on sda2, internal journal
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
audit(1200413001.360:3): avc:  denied  { getattr } for  pid=1233 comm="pam_console_app" path="/dev/fb0" dev=tmpfs ino=5756 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1200413001.360:4): avc:  denied  { setattr } for  pid=1233 comm="pam_console_app" name="fb0" dev=tmpfs ino=5756 scontext=system_u:system_r:pam_console_t:s0 tcontext=system_u:object_r:device_t:s0 tclass=file
Adding 546200k swap on /dev/sda3.  Priority:-1 extents:1 across:546200k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
ip6_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (7168 buckets, 28672 max)
ip_tables: (C) 2000-2006 Netfilter Core Team
eth0: Media Link On 100mbps full-duplex 
audit(1200413009.117:5): audit_pid=1605 old=0 by auid=4294967295 subj=system_u:system_r:auditd_t:s0
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
eth0: no IPv6 routers present
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
eth0: Media Link On 100mbps full-duplex 
eth0: no IPv6 routers present
*******************************************
Comment 1 Jon Stanley 2008-01-18 17:21:11 EST
sd* is correct for Fedora as it uses libata for access to ATA disks.  How large
is the second drive?
Comment 2 Chuck Ebbert 2008-01-20 21:01:49 EST
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]

Using IDE driver:
hdc: ST380020ACE, ATA DISK drive
hdc: max request size: 128KiB
hdc: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=65535/16/63
hdc: cache flushes not supported

Using ATA driver:
ata2.00: ATA-6: ST 8 0 0ACE,  . 1, max UDMA/100
ata2.00: 0 sectors, multi 0: LBA48 
scsi 1:0:0:0: Direct-Access     ATA      ST 8 0 0ACE       . 1 PQ: 0 ANSI: 5
sd 1:0:0:0: [sdb] Very big device. Trying to use READ CAPACITY(16).
sd 1:0:0:0: [sdb] 0 512-byte hardware sectors (0 MB)
Comment 3 Chuck Ebbert 2008-01-21 16:41:27 EST
Fix is:
Commit     17bd9a2f4c35de29d2539a2ff6851d61be281e25
"libata and bogus LBA48 drives"

Comment 4 Prashant Saxena 2008-01-22 00:20:45 EST
Is there something I need to do? @Jon : Drive is 80 GB
Comment 5 Andrew Farris 2008-01-22 01:49:24 EST
Prashant, you'll need to download the kernel build that contains that fix and
test whether it works for your drive.  I don't believe that is in .115 built
today so I'm guessing maybe tomorrow it might be there.

Prashant, the rpm will be built by koji and available there before it makes it
to updates.  To test this you'll need to look at the link below tomorrow, and if
a kernel newer than kernel-2.6.23.14-115.fc8 gets built for F8 you should
download and install it from there.

http://koji.fedoraproject.org/koji/packageinfo?packageID=8
Comment 6 Prashant Saxena 2008-01-22 01:58:28 EST
The kernel I am using is kernel-2.6.23.9-85.fc8. Neways how should I install the
new kernel? I mean is there a single package or a bunch of packages that I'll
have to install?
Comment 7 Andrew Farris 2008-01-22 02:31:22 EST
You will download the latest kernel-2.6.23.14-x.fc8.i686 and kernel-devel that
matches the version.  Save the rpms and then install both either with rpm, yum,
or system-install-packages (opening them from nautilus will do that).  You
shouldn't need any of the other packages immediately.

Do NOT remove your old kernel (install, not upgrade), when you restart you'll
choose the new kernel in grub.  If the kernel boots then report back on whether
the drive sectors are recognized.
Comment 8 Chuck Ebbert 2008-01-22 19:08:47 EST
Fix went in kernel 2.6.23.14-117.
Comment 9 Prashant Saxena 2008-01-23 08:10:34 EST
I don't see any such kernel package in the link provided by @Andrew? PLease give
the link!
Comment 10 Chuck Ebbert 2008-01-23 14:36:47 EST
Kernel is not built yet -- the first one built with that version number or
higher will contain the fix.
Comment 11 Prashant Saxena 2008-01-26 03:57:07 EST
Hello,
 I see kernel-2.6.23.14-123.fc8 available. Is the fix available in it?
Comment 12 Andrew Farris 2008-01-26 04:25:42 EST
Yes, kernels above -117 will have that fix unless it gets reverted.  Go ahead and try -123.

The changelog for the kernel build shows:
* Tue Jan 22 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.23.14-117
- Work around broken Seagate LBA48 disks (#429364)
Comment 13 Prashant Saxena 2008-01-26 13:26:52 EST
Woah! Thats cool. All the partitions (disk) are visible now! Thanx guys and I
appreciate your work. I installed kernel => -123, and it worked!
Comment 14 Fedora Update System 2008-02-10 22:34:00 EST
kernel-2.6.23.15-137.fc8 has been submitted as an update for Fedora 8
Comment 15 Fedora Update System 2008-02-11 17:38:45 EST
kernel-2.6.23.15-137.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.